Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dao
Class UserDAO

    java.lang.Object
      org.wso2.wsas.persistence.dao.BaseDAO
          org.wso2.wsas.persistence.dao.UserDAO

    public class UserDAO

extends BaseDAO

Data access object managing persistence operations related to users

Field Summary

Fields inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`hbConfig`

Constructor Summary
`UserDAO(HibernateConfig hbConfig)`

Method Summary
`void` | `addRole(java.lang.String userName, ServiceUserRoleDO role)`
`void` | `deleteRoleFromUser(java.lang.String username, java.lang.String role)`
`void` | `deleteUser(java.lang.String username)`
`ServiceUserRoleDO[]` | `getRoles(java.lang.String serviceUser)`
`ServiceUserDO` | `getUser(java.lang.String username)`
`ServiceUserDO` | `getUser(java.lang.String username, org.hibernate.Session session)`
`ServiceUserRoleDO[]` | `getUserRoles(ServiceUserDO serviceUserDO)`
`ServiceUserDO[]` | `getUsers()`
`boolean` | `userHasRole(java.lang.String username, ServiceUserRoleDO role)`

Methods inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`create, createOrUpdate, delete, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserDAO

    public UserDAO(HibernateConfig hbConfig)

Method Detail

### getUsers

    public ServiceUserDO[] getUsers()

### deleteUser

    public void deleteUser(java.lang.String username)

### deleteRoleFromUser

    public void deleteRoleFromUser(java.lang.String username,
                                   java.lang.String role)

### getUser

    public ServiceUserDO getUser(java.lang.String username)

### getUserRoles

    public ServiceUserRoleDO[] getUserRoles(ServiceUserDO serviceUserDO)

### addRole

    public void addRole(java.lang.String userName,
                        ServiceUserRoleDO role)

### getUser

    public ServiceUserDO getUser(java.lang.String username,
                                 org.hibernate.Session session)

### getRoles

    public ServiceUserRoleDO[] getRoles(java.lang.String serviceUser)

### userHasRole

    public boolean userHasRole(java.lang.String username,
                               ServiceUserRoleDO role)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD